Bug 815108 - [abrt] anjuta-3.4.0-2.fc17: g_type_check_instance_cast: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
[abrt] anjuta-3.4.0-2.fc17: g_type_check_instance_cast: Process /usr/bin/anju...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
abrt_hash:212ce5dcc49f717eba61b85d490...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 11:31 EDT by Bahtiar `kalkin` Gadimov
Modified: 2013-04-30 18:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: libgdl-3.4.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 04:01:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.56 KB, text/plain)
2012-04-22 11:31 EDT, Bahtiar `kalkin` Gadimov
no flags Details
File: maps (40.62 KB, text/plain)
2012-04-22 11:31 EDT, Bahtiar `kalkin` Gadimov
no flags Details
File: dso_list (7.87 KB, text/plain)
2012-04-22 11:31 EDT, Bahtiar `kalkin` Gadimov
no flags Details

  None (edit)
Description Bahtiar `kalkin` Gadimov 2012-04-22 11:31:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        anjuta
comment:        Tried to import git://git.gnome.org/mutter/ to anjuta. 
crash_function: g_type_check_instance_cast
executable:     /usr/bin/anjuta
kernel:         3.3.2-1.fc17.x86_64
pid:            14647
pwd:            /home/kalkin
remote_result:  NOTFOUND
time:           Sun 22 Apr 2012 05:26:43 PM CEST
uid:            1000
username:       kalkin

backtrace:      Text file, 41537 bytes
dso_list:       Text file, 8057 bytes
maps:           Text file, 41597 bytes

build_ids:
:3275cdd6038a5dabf6da923272d6da0f397b56c4
:e1f46181d01fcd23120cd03906cc6944b4cdda5d
:8568e11bef79abaf14513d18a8559282d8dad34a
:54a5cc118d928470da13565de8592b664a9868e0
:647c8183274c4626c81e86e7a631a81782a04e65
:03a3531257193c88ade30f23f9dc93545fa5397d
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:63c6fb0479e26da82b2341db83229019ff5c5f13
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:c4ec0971b2dcee71aaf8374975474054245fea00
:480ab8eb1776770bb90f2a47cc2f0258848f1cdd
:8a58512c2cc89530f70932553442289158de3083
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:7716bc5c1738194dad6ec6679d05ae3782139288
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:42675a8ad8f70ff19362070510cdf1ba202a70db
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:f32e83f377f236b6f43b664f7db7c13381655854
:749e0a5146f31516ca770a4c702ab89706b4f0a6
:88d4b4f3c6f2bf1425c7b2fac541890ae1afc2cd
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:08deea6f28314f7b1bbba69e81a25b9e48647b5f
:8b061194ece3a0bb31640cdc3ee19193b2912ba3
:87712be648d2d43ea4cd002fe7a859df636f1e13
:e3354959e32e471066df83c93f98f33e75198697
:253afe744466fe7580bbb6040de6183dba9e2b02
:70f10a584fcf32ef4994cc1bc209964515ad49c9
:87e23f23b30ca05f39d3c01f651d6a86dc72f55f
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:10818e21ba84b6897ec8d7ed3db9e94c71a12e41
:2afdcbfcb8dd35bc08d9f1577ed7f1fef7210fd1
:cb561771554f57263ee5c9fe3f49f7279ef278e2
:508cf66f72e70054a41215f80ed2385c6bb80030
:ee4125caa1dce3b6f1578e3e40b270f6fcd87fb4
:63651cdc0224824a9c9324c77c3b5887378e871d
:adb8cce623092da5c6812cf4e20b6f97e3ebd5b1
:c01f01db269c935545a6a3873d6b45b7b9679860
:f0250c053d63459cee9fd1f69940067df1aa675a
:d804f8ee47797da9213a92f00cd095ecada8d79f
:2a34337df68bcebcf471d5e3362ac137ffea4527
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:d0f58d4f39af818603d1ef8d8fde1c579128b4cb
:319cdef60fb38ea411fb398b608189e006d365e7
:5da8d295014010dcaf44014dbeb291b3026af3e7
:646f3d66c56d94c666c91e02f3013123df1e5750
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:586684a97ab0c65d5a6b0feabc99afd6dd8bc8d0
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:11d196ee9220c6039404f4ba675abf3a24d8f0aa
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:39b6416457511ecdce4ad1c49277eb1a8e385ac8
:731b3801f71de6bd888953161b715e6cbda0ab60
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:96e2f238f0388c8775a559a4897306aeb77124ee
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:d2f6b6a2125b0c360462ce6b6b7de8144e351da1
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:8f7c190397d7c1f617e66f18f759714662b60367
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:e70c11f534ba0478a597f4a55a1d31f540bd2d74
:247132297f287226a24c12e683292f5c94013066
:583038d51162de9433018478e5e0556eaf40ccc6
:6f2ff4e6a028c4518c441caeb0f433bea79ac545
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/kalkin/4

core_backtrace:
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x30e7c g_type_check_instance_cast libgobject-2.0.so.0 -
:f32e83f377f236b6f43b664f7db7c13381655854 0xf3eb - libgdl-3.so.1 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20003 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f32e83f377f236b6f43b664f7db7c13381655854 0xc7f3 gdl_dock_object_dock libgdl-3.so.1 -
:f32e83f377f236b6f43b664f7db7c13381655854 0x11942 gdl_dock_add_item libgdl-3.so.1 -
:ee4125caa1dce3b6f1578e3e40b270f6fcd87fb4 0x5358e anjuta_dock_add_pane_full libanjuta-3.so.0 -
:ee4125caa1dce3b6f1578e3e40b270f6fcd87fb4 0x536ac anjuta_dock_add_pane libanjuta-3.so.0 -
:8b061194ece3a0bb31640cdc3ee19193b2912ba3 0x106dc - libanjuta-git.so -
:ee4125caa1dce3b6f1578e3e40b270f6fcd87fb4 0x32f83 anjuta_plugin_activate libanjuta-3.so.0 -
:ee4125caa1dce3b6f1578e3e40b270f6fcd87fb4 0x388ee - libanjuta-3.so.0 -
:ee4125caa1dce3b6f1578e3e40b270f6fcd87fb4 0x38fc0 anjuta_plugin_manager_get_plugin_by_id libanjuta-3.so.0 -
:586684a97ab0c65d5a6b0feabc99afd6dd8bc8d0 0x3bde - libanjuta-project-import.so -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf943 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0xbb848 - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20003 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0xb9b63 - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x17a5ef - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf943 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x2a266e - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x1785b6 - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x17a1c3 gtk_main_do_event libgtk-3.so.0 -
:2a34337df68bcebcf471d5e3362ac137ffea4527 0x48e12 - libgdk-3.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47aa4 g_main_context_iteration libglib-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x97cfc g_application_run libgio-2.0.so.0 -
:88d4b4f3c6f2bf1425c7b2fac541890ae1afc2cd 0x7735 main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/zsh
:XDG_SESSION_COOKIE=8a6b832d223fe103237bc06900000b2c-1334937450.689322-1593104998
:GNOME_KEYRING_CONTROL=/run/user/kalkin/keyring-d910G3
:IMSETTINGS_MODULE=none
:USER=kalkin
:USERNAME=kalkin
:DESKTOP_SESSION=gnome
:PATH=/home/kalkin/.rvm/gems/ruby-1.9.3-p125/bin:/home/kalkin/.rvm/gems/ruby-1.9.3-p125@global/bin:/home/kalkin/.rvm/rubies/ruby-1.9.3-p125/bin:/home/kalkin/.rvm/bin:/usr/local/bin:/usr/bin:/bin:/home/kalkin/bin:/usr/local/sbin:/usr/sbin
:QT_IM_MODULE=xim
:PWD=/home/kalkin
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=2937
:GDMSESSION=gnome
:SHLVL=0
:HOME=/home/kalkin
:XDG_SEAT=seat0
:LOGNAME=kalkin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-PGBCfB80e3,guid=fb956cfc24a8dc8bc944355200000154
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/kalkin
:XAUTHORITY=/var/run/gdm/auth-for-kalkin-rgXbvV/database
:OLDPWD=/home/kalkin
:HISTCONTROL=ignoredups
:MAIL=/var/spool/mail/kalkin
:HOSTNAME=st010
:HISTSIZE=1000
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:rvm_prefix=/home/kalkin
:rvm_path=/home/kalkin/.rvm
:__array_start=1
:rvm_bin_path=/home/kalkin/.rvm/bin
:escape_flag=1
:_first=1
:_second=2
:'rvm_version=1.12.3 (stable)'
:rvm_env_string=ruby-1.9.3-p125
:rvm_ruby_string=ruby-1.9.3-p125
:RUBY_VERSION=ruby-1.9.3-p125
:GEM_HOME=/home/kalkin/.rvm/gems/ruby-1.9.3-p125
:GEM_PATH=/home/kalkin/.rvm/gems/ruby-1.9.3-p125:/home/kalkin/.rvm/gems/ruby-1.9.3-p125@global
:MY_RUBY_HOME=/home/kalkin/.rvm/rubies/ruby-1.9.3-p125
:IRBRC=/home/kalkin/.rvm/rubies/ruby-1.9.3-p125/.irbrc
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2941,unix/unix:/tmp/.ICE-unix/2941
:GPG_AGENT_INFO=/run/user/kalkin/keyring-d910G3/gpg:0:1
:SSH_AUTH_SOCK=/run/user/kalkin/keyring-d910G3/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/anjuta.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=14647
:DESKTOP_STARTUP_ID=gnome-shell-14004-st010-anjuta-1_TIME171227812

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 257100               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       257100               257100               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/kalkin/.xsession-errors
:pos:	499075
:flags:	0102002
:2:/home/kalkin/.xsession-errors
:pos:	499075
:flags:	0102002
:3:socket:[11039089]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[11051655]
:pos:	0
:flags:	02004002
:6:socket:[11048301]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:socket:[11040815]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 8ea44287-7a13-47d5-82ee-43d8c79ccaf9
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6822.48
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 3401
:System Memory: 32156
:System Swap: 10239
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:256:4163:33869) pci, None, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:4307:4163:33641) pci, e1000e, ETHERNET, 82574L Gigabit Network Connection
:(4098:26393:5963:6251) pci, radeon, VIDEO, Cayman PRO [AMD Radeon 6900 Series]
:(4098:43648:5963:43648) pci, snd_hda_intel, MULTIMEDIA, N/A
:(32902:7202:4163:33869) pci, i801_smbus, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7238:4163:33869) pci, None, PCI/ISA, P8P67 Deluxe Motherboard
:(32902:5379:4163:33870) pci, e1000e, ETHERNET, 82579V Gigabit Network Connection
:(4358:13315:4163:33668) pci, firewire_ohci, FIREWIRE, P8P67 Deluxe Motherboard
:(6987:37168:4163:33848) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(4318:1457:0:0) pci, pcieport, PCI/PCI, NF200 PCIe 2.0 switch for mainboards
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(4318:1457:0:0) pci, pcieport, PCI/PCI, NF200 PCIe 2.0 switch for mainboards
:(32902:7226:4163:33869) pci, None, SIMPLE, P8P67 Deluxe Motherboard
:(32902:7188:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7190:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7198:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7192:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(4318:1457:4318:50526) pci, pcieport, PCI/PCI, NF200 PCIe 2.0 switch for mainboards
:(4318:1457:0:0) pci, pcieport, PCI/PCI, NF200 PCIe 2.0 switch for mainboards
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/st010vg-root / ext4 4096 4096 13092026 12024034 11893012 3276800 3154600 3154600
:/dev/sde1 /boot ext3 1024 1024 488782 403911 378567 126976 126733 126733
:/dev/mapper/st010vg-opt /opt btrfs 4096 4096 2621440 2621426 2089984 0 0 0
:/dev/mapper/st010vg-home /home jfs 4096 4096 7855837 436904 436904 4202368 3538448 3538448
:/dev/mapper/st010vg-fotos WITHHELD ext4 4096 4096 13043104 3535235 2905819 3276800 3252942 3252942
:/dev/mapper/st010vg-var /var btrfs 4096 4096 5242880 4290722 3730038 0 0 0
:/dev/mapper/st010vg-files WITHHELD ext4 4096 4096 544169569 199961708 172441388 137625600 137472611 137472611
:

var_log_messages:
:Apr 22 17:23:38 st010 yum[14547]: Installed: 1:anjuta-3.4.0-2.fc17.x86_64
:Apr 22 17:26:43 st010 kernel: [171176.891993] anjuta[14647]: segfault at 700000008 ip 0000003f74430e7c sp 00007ffffa8c88c0 error 4 in libgobject-2.0.so.0.3200.1[3f74400000+4b000]
:Apr 22 17:26:44 st010 abrt[14678]: Saved core dump of pid 14647 (/usr/bin/anjuta) to /var/spool/abrt/ccpp-2012-04-22-17:26:43-14647 (72200192 bytes)

xsession_errors:
:(anjuta:14647): Gtk-WARNING **: Theme parsing error: <data>:2:10: Not using units is deprecated. Assuming 'px'.
:(anjuta:14647): GLib-CRITICAL **: g_hash_table_lookup_extended: assertion `hash_table != NULL' failed
:(anjuta:14647): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed
Comment 1 Bahtiar `kalkin` Gadimov 2012-04-22 11:31:46 EDT
Created attachment 579311 [details]
File: backtrace
Comment 2 Bahtiar `kalkin` Gadimov 2012-04-22 11:31:48 EDT
Created attachment 579312 [details]
File: maps
Comment 3 Bahtiar `kalkin` Gadimov 2012-04-22 11:31:50 EDT
Created attachment 579313 [details]
File: dso_list
Comment 4 Bahtiar `kalkin` Gadimov 2012-04-22 13:32:30 EDT
Anjuta also crashes if you try to enable the git plugin in the preferences. There seems to be something wrong with git support.
Comment 5 Bahtiar `kalkin` Gadimov 2012-04-22 14:32:30 EDT
Just checked out anjuta from git. I compiled and installed the master and the gnome-3.4 branch version. Both seems to work.
Comment 6 Bahtiar `kalkin` Gadimov 2012-04-22 14:35:36 EDT
Just noticed that the version-3.4 branch in the anjuta git repository has a version 3.4.1, while fedoras anjuta version is 3.4.0. So the bug seems to be fixed in it.
Comment 7 Bahtiar `kalkin` Gadimov 2012-04-22 14:44:24 EDT
There is no 3.4.0 version in anjutas git. There is only 3.3.99 and 3.4.1. So were does the 3.4.0 come from? Is it possible to add 3.4.1 to fedora 17?
Comment 8 Johannes Schmid 2012-04-22 15:32:22 EDT
We use post-release version bumps in git which means the version in git is always the last release version +1. 3.4.1 hasn't been released, yet.
Comment 9 Kalev Lember 2012-04-22 15:34:00 EDT
Hi Bahtiar, thanks for the report.

Latest upstream release is 3.4.0, we are using the official source tarballs for Fedora builds:
http://ftp.gnome.org/pub/GNOME/sources/anjuta/3.4/

What you see in the git are the changes that are going to end up in the future 3.4.1 release. Even though the code in git calls itself 3.4.1, the official anjuta 3.4.1 release isn't out yet.

In any case, anjuta gnome-3-4 branch in git only has 5 translation updates compared to the 3.4.0 release. If you say that compiling from gnome-3-4 branch in git works and anjuta-3.4.0-2.fc17 doesn't, there must be something else going on, as there haven't been any code changes in git gnome-3-4 branch.
Comment 10 Kalev Lember 2012-04-22 15:46:03 EDT
I poked at it a bit and managed to reproduce this on my system.

> "GLib-CRITICAL **: g_hash_table_unref: assertion `hash_table != NULL' failed"
Setting a breakpoint on the critical gets the following backtrace:

#0  0x0000003fe564e930 in g_log () from /lib64/libglib-2.0.so.0
#1  0x0000003fe5637f4a in g_hash_table_lookup_extended () from /lib64/libglib-2.0.so.0
#2  0x00007ffff7d81505 in anjuta_dock_add_pane_full (self=0xd55280, pane_name=0x7fffdaf07a60 "Status", pane_label=<optimized out>, stock_icon=<optimized out>, pane=0xec6810, placement=GDL_DOCK_CENTER, entries=
    0x7fffdb114520, num_entries=9, user_data=0xe3e4d0, behavior=(GDL_DOCK_ITEM_BEH_NEVER_FLOATING | GDL_DOCK_ITEM_BEH_CANT_CLOSE | GDL_DOCK_ITEM_BEH_CANT_ICONIFY | GDL_DOCK_ITEM_BEH_NO_GRIP))
    at anjuta-dock.c:209
#3  0x00007ffff7d816ac in anjuta_dock_add_pane (self=<optimized out>, pane_name=pane_name@entry=0x7fffdaf07a60 "Status", pane_label=pane_label@entry=0x7fffdaf07a60 "Status", stock_icon=stock_icon@entry=0x0, 
    pane=pane@entry=0xec6810, placement=placement@entry=GDL_DOCK_CENTER, entries=entries@entry=0x7fffdb114520, num_entries=num_entries@entry=9, user_data=user_data@entry=0xe3e4d0) at anjuta-dock.c:169
#4  0x00007fffdaee96dc in git_activate_plugin (plugin=0xe3e4d0) at plugin.c:757
#5  0x00007ffff7d60f83 in anjuta_plugin_activate (plugin=0xe3e4d0) at anjuta-plugin.c:542
#6  0x00007ffff7d668ee in plugin_set_update (plugin_manager=plugin_manager@entry=0x79a160, selected_plugin=0x79a320, load=<optimized out>) at anjuta-plugin-manager.c:762
#7  0x00007ffff7d672c4 in plugin_toggled (cell=<optimized out>, path_str=<optimized out>, data=<optimized out>) at anjuta-plugin-manager.c:831
#8  0x0000003fe5e124a7 in g_cclosure_marshal_VOID__STRINGv () from /lib64/libgobject-2.0.so.0


anjuta-3.4.0-2.fc17 was built with gdl 3.2.0 and the crash occurs when gdl 3.4.0 is used at runtime. I'd suspect an incompatibility between the two, especially since recompiling against gdl 3.4.0 makes the issue go away.

Johannes, any struct size changes or something in gdl 3.4 that could cause binary incompatibilities?
Comment 11 Kalev Lember 2012-04-22 15:48:33 EDT
Err, it should read "gdl 3.4.1" in the text above, not 3.4.0.

In any case, I'm doing a rebuild of anjuta which should fix the issue.
Comment 12 Johannes Schmid 2012-04-22 15:55:28 EDT
The so name of gdl 3.4.1 (and 3.4.0) is wrong so you probably want to wait for gdl 3.4.2 which I will release in a few minutes.
Comment 13 Fedora Update System 2012-04-22 18:32:17 EDT
libgdl-3.4.2-1.fc17,anjuta-3.4.0-3.fc17,gdlmm-3.3.2-1.fc17,gtranslator-2.91.3-2.fc17,gtkpod-2.1.1-3.fc17,nemiver-0.9.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libgdl-3.4.2-1.fc17,anjuta-3.4.0-3.fc17,gdlmm-3.3.2-1.fc17,gtranslator-2.91.3-2.fc17,gtkpod-2.1.1-3.fc17,nemiver-0.9.2-2.fc17
Comment 14 Fedora Update System 2012-04-22 21:23:41 EDT
Package libgdl-3.4.2-1.fc17, anjuta-3.4.0-3.fc17, gdlmm-3.3.2-1.fc17, gtranslator-2.91.3-2.fc17, gtkpod-2.1.1-3.fc17, nemiver-0.9.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libgdl-3.4.2-1.fc17 anjuta-3.4.0-3.fc17 gdlmm-3.3.2-1.fc17 gtranslator-2.91.3-2.fc17 gtkpod-2.1.1-3.fc17 nemiver-0.9.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6430/libgdl-3.4.2-1.fc17,anjuta-3.4.0-3.fc17,gdlmm-3.3.2-1.fc17,gtranslator-2.91.3-2.fc17,gtkpod-2.1.1-3.fc17,nemiver-0.9.2-2.fc17
then log in and leave karma (feedback).
Comment 15 Bahtiar `kalkin` Gadimov 2012-04-23 04:01:59 EDT
I just updated anjuta and it works now. Thank you guys.
Comment 16 Fedora Update System 2012-04-24 00:27:12 EDT
libgdl-3.4.2-1.fc17, anjuta-3.4.0-3.fc17, gdlmm-3.3.2-1.fc17, gtranslator-2.91.3-2.fc17, gtkpod-2.1.1-3.fc17, nemiver-0.9.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.